Đến nội dung


Hình ảnh
* * * - - 8 Bình chọn

Viết lisp theo yêu cầu [phần 2]


  • Chủ đề bị khóa Chủ đề bị khóa
3783 replies to this topic

#1441 gia_bach

gia_bach

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 1436 Bài viết
Điểm đánh giá: 1426 (rất tốt)

Đã gửi 22 July 2010 - 10:09 PM

Hàm Cal và lênh Units sẽ giải quyết vấn đề này của bạn
Set đơn vị units
(setvar "AUNITS" 1)
(setvar "auprec" 3)
-> Tính (c:cal "1d1'1\"+2d2'2\"")
-> ra kết quả : 3.05083 => Dùng hàm cvunits để chuyển 3.05083 về góc đo độ , phút và giây sau đó nối chuỗi lại

Command: cal
>> Expression: 1d1'2"+1d2'3"
2.05138889

-> Đây là bài toán cụ thể -> Đương nhiên, viết 1 Lisp Tống quát áp dụng cho nó sẽ hay hơn nhiều. Ứng dụng rộng rãi nữa

Các hàm tính toán với số đo góc :
- (angtof string [units]) : đổi string qua radian (số thực)

- (angtos angle [unit [precision]]) : đổi radian qua kiểu string
Sau khi đổi string qua radian, thực hiện các phép tính (+-*/) như với số thực, kết quả thu đuợc đổi ra string.
Ví dụ :
(setq goc "16d41'29\"")
- đổi qua radian :
(setq rad (angtof goc 1))
- cộng với 90 độ :
(setq rad1 (+ rad (/ pi 2)))
- đổi về text :
(angtos rad1 1)
hay
(angtos (+ (angtof goc 1) (/ pi 2)) 1)

trừ với 90 độ
(angtos (- (angtof goc 1) (/ pi 2)) 1)
  • 0

#1442 843824

843824

    biết vẽ circle

  • Members
  • PipPip
  • 33 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 22 July 2010 - 10:29 PM

Xin chào các anh...

Hôm nay e xin các a giúp e thêm 1 lisp nữa ( e có search trong diễn đàn rồi nhưng hình như ko có )

Input : một file nền hiện trạng của khu đất với rất nhiều polyline đường đồng mức ( nhưng chỉ dạng 2D không có 3D - cao độ Z = 0 hết )

Xin các a giúp e 1 lisp có yêu cầu thế này : Nhập cao độ Z cho polyline

1.chọn đường đồng mức ( polyline ) đầu - hiện yêu cầu nhập cao độ cho đđm này VD : 2 m
2.chọn đường đồng mức ( polyline ) cuối - hiện yêu cầu nhập cao độ cho đđm này VD : 10 m
3. Hiện yêu cầu nhập khoảng cách chênh cao giữa các đđm . Em ví dụ là 0.5 m

Thì lisp sẽ giúp nhập cao độ Z cho tất cả các đđm nằm giữa 2 đđm này .
Nâng cao thêm : Chọn màu cho đđm con ( khoang chenh la 0.5 m )
Chọn màu cho đđm cái ( khoang chenh la 2.5 m )

Xin Cảm Ơn các anh nhiều .

Sẵn tiện xin các a cho e chổ link vẽ đường đồng mức cho đường cong ạ - e có tìm nhưng thấy hình như chỉ có 1 chút
Mà link die rồi

Bài viết đã được chỉnh sửa nội dung bởi 843824: 22 July 2010 - 10:36 PM

  • 0

#1443 t3pubt

t3pubt

    biết pan

  • Members
  • Pip
  • 8 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 23 July 2010 - 07:46 AM

mình thấy cách viết của Thaistreetz áp dụng cho nova thì quá hay.mong Thaistreetz bỏ ra thêm ít thời gian viết giùm mình phần 180- .cám ơn bạn rất nhiều.việc chuyển đổi radian rồi lại đổi lại phức tạp quá. sao không đổi 180d=179d59'60" (áp dụng với 180-)làm cho nhanh.
  • 0

#1444 congdung04

congdung04

    biết vẽ line

  • Members
  • PipPip
  • 21 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 23 July 2010 - 11:06 AM

Rất cảm ơn các cao thủ đã giúp em viết một số lisp rất hữu ích ở trên.
"Được voi đòi tiên", em lại xin nhờ các cao thủ một việc:

Công việc của em rất hay phải vẽ tiết diện thép chữ I tổ hợp từ 3 bản thép như sau:
Hình đã gửi

Một tiết diện như vậy thường có các tham số như sau (em cho luôn giá trị tron hình trên nhé):

Chiều cao tiết diện h = 350
Chiều rộng bản cánh b=250
chiều dày bản cánh dc=12
Chiều dày bản bụng db=8

Vậy em nhờ các bác viết giúp một lisp có thể chỉ cần nhập các giá trị trên là cho ngay ra một tiết diện như thế.

Mong các bác giúp đỡ.
  • 0

#1445 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3804 (đỉnh cao)

Đã gửi 23 July 2010 - 11:45 AM

Rất cảm ơn các cao thủ đã giúp em viết một số lisp rất hữu ích ở trên.
"Được voi đòi tiên", em lại xin nhờ các cao thủ một việc:

Công việc của em rất hay phải vẽ tiết diện thép chữ I tổ hợp từ 3 bản thép như sau:
Hình đã gửi

Một tiết diện như vậy thường có các tham số như sau (em cho luôn giá trị tron hình trên nhé):

Chiều cao tiết diện h = 350
Chiều rộng bản cánh b=250
chiều dày bản cánh dc=12
Chiều dày bản bụng db=8

Vậy em nhờ các bác viết giúp một lisp có thể chỉ cần nhập các giá trị trên là cho ngay ra một tiết diện như thế.

Mong các bác giúp đỡ.

Bạn sử dụng bộ fastcad của bác Nothien
http://www.google.co...&...q=&gs_rfai=

Command:
Chon ti le ve (1/x), x= 25

Chon Loai tiet dien Thep can ve (ong,hop,c,z,L,I) : I

Nhap chieu cao tiet dien : 350

Nhap chieu rong tiet dien : 250

Nhap chieu day canh : 12

Nhap chieu day bung : 8

Chon vi tri tam cua tiet dien :
  • 2

#1446 phamthanhbinh

phamthanhbinh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 6009 Bài viết
Điểm đánh giá: 3113 (tuyệt vời)

Đã gửi 23 July 2010 - 12:18 PM

Rất cảm ơn các cao thủ đã giúp em viết một số lisp rất hữu ích ở trên.
"Được voi đòi tiên", em lại xin nhờ các cao thủ một việc:

Công việc của em rất hay phải vẽ tiết diện thép chữ I tổ hợp từ 3 bản thép như sau:
Hình đã gửi

Một tiết diện như vậy thường có các tham số như sau (em cho luôn giá trị tron hình trên nhé):

Chiều cao tiết diện h = 350
Chiều rộng bản cánh b=250
chiều dày bản cánh dc=12
Chiều dày bản bụng db=8

Vậy em nhờ các bác viết giúp một lisp có thể chỉ cần nhập các giá trị trên là cho ngay ra một tiết diện như thế.

Mong các bác giúp đỡ.

Hề hề hề,
Chào bạn congdung04,
Việc viết cái lisp này không khó nhưng cũng không thể gấp ngay được vì mình cũng đang hơi bận. Bạn có thể phải chờ chút chút. Tuy nhiên nếu bạn cần gấp thì trong lúc chờ đợi bạn có thể tham khảo mấy bài hướng dẫn lập trình lisp trên diễn đàn của bác SSG và bác Nguyenhoanh để tự viết cho mình được. Thời gian nhanh hay chậm phụ thuộc vào khả năng của chính bạn chứ chả phải nhờ ai cả.
Bạn cũng đã hiểu về công dụng của lisp thì nên chủ động học tập và nghiên cứu về nó để có thể phục vụ tốt cho công việc của chính mình.
Dù rất muốn giúp bạn xong mình cũng như mọi người trên diễn đàn không phải lúc nào cũng rảnh rỗi để có thể đáp ứng ngay được, mong bạn thông cảm nhé.
Chúc bạn vui.
  • 1
Chúc các quý Anh trên diễn đàn luôn khỏe, đẻ thêm được nhiều thứ để mót.

#1447 congdung04

congdung04

    biết vẽ line

  • Members
  • PipPip
  • 21 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 23 July 2010 - 02:16 PM

Vâng, viết lisp đã, đang và sẽ mãi là niềm ao ước của em, em không có năng khiếu về lập trình nên nghĩ là nó rất khó, cũng chưa có thời gian nghiên cứu nhiều nên chưa một lần tự viết cho mình một lisp được. Em sẽ nghiên cứu thêm và hi vọng có ngày em làm được như các bác bây giờ để viết cho những bạn chưa biết như em hiện tại.
  • 0

#1448 phamthanhbinh

phamthanhbinh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 6009 Bài viết
Điểm đánh giá: 3113 (tuyệt vời)

Đã gửi 23 July 2010 - 03:51 PM

Vâng, viết lisp đã, đang và sẽ mãi là niềm ao ước của em, em không có năng khiếu về lập trình nên nghĩ là nó rất khó, cũng chưa có thời gian nghiên cứu nhiều nên chưa một lần tự viết cho mình một lisp được. Em sẽ nghiên cứu thêm và hi vọng có ngày em làm được như các bác bây giờ để viết cho những bạn chưa biết như em hiện tại.

Hề hề hề,
Chào bạn congdung04,
Của bạn đây, tranh thủ giải lao mình viết tạm cái này để bạn xài thử, nếu có vấn đề gì thì postt lên nhé. Lisp này mình cho vẽ với tỉ lệ 1:1 và sử dụng kiểu hatch ansí31 ( kiểu thường dùng cho mặt cắt kim loại) tỷ lệ hatch là 50. Nếu bạn muốn có thể thay đổi cái hatch này trong dòng lệnh sau:
(command "bhatch" "s" a0 a1 a2 a3 "" "p" "ansi31" 50 0 "" "")
Bạn copy lisp này vào một thư mục có trong đường dẫn tìm kiếm của Cad và load nó vào Cad để thử nhé. Lệnh là isec (nghĩa là I section).
http://www.cadviet.c...iles/3/isec.lsp

(defun c:Isec ( )
(setq h (getreal "\n Nhap chieu cao mat cat : ")
b (getreal "\n Nhap chieu rong mat cat : ")
d (getreal "\n Nhap chieu day ban canh : ")
db (getreal "\n Nhap chieu day ban bung : ")
p0 (getpoint "\n Nhap diem khoi tao"))
(command "rectang" p0 (list (+ b (car p0)) (- (cadr p0) d)))
(setq a0 (entlast))
(command "rectang" (list (car p0) (- (cadr p0) h)) (list (+ (car p0) b ) (- (cadr p0) (- h d))))
(setq a1 (entlast))
(setq p1 (list (+ (car p0) (/ (- b db) 2)) (- (cadr p0) d))
p2 (polar p1 0 db)
p3 (polar p1 (- (/ pi 2)) (- h d d))
p4 (polar p3 0 db))
(command "pline" p1 p3 "")
(setq a2 (entlast))
(command "pline" p2 p4 "")
(setq a3 (entlast))
(command "break" a0 p1 p2)
(command "break" a1 p3 p4)
(command "bhatch" "s" a0 a1 a2 a3 "" "p" "ansi31" 50 0 "" "")
(princ)
)


Chúc bạn vui.
  • 1
Chúc các quý Anh trên diễn đàn luôn khỏe, đẻ thêm được nhiều thứ để mót.

#1449 phamvanthiet108

phamvanthiet108

    biết vẽ polygon

  • Members
  • PipPip
  • 73 Bài viết
Điểm đánh giá: 11 (tàm tạm)

Đã gửi 24 July 2010 - 06:04 PM

Sao vẫn không thấy ai hết vậy nhỉ

bạn dùng lisp này nhé. lệnh c1 vẽ một cánh và lệnh c2 vẽ hai cách.Lisp này em sưu tầm đc hy vọng là giúp ích cho bác.xin phép tác giả cho em dc post lên cho anh em tham khảo cùng.
http://www.cadviet.c...m_quy_hoach.lsp
  • 1

#1450 843824

843824

    biết vẽ circle

  • Members
  • PipPip
  • 33 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 26 July 2010 - 12:11 PM

Xin lỗi e spam chút xíu :
Các anh ơi … có ai xem giúp e cái lisp e xin ở trên với ạ.

Với thêm nếu cái đó chưa thể viết ngay được các a cho e xin cái lisp như vầy :
- Input : có đường cong bất kì và 1 block
- Các a giúp e viết cái lisp nào mà sau khi e copy cái block đó đến các điểm trên đường cong thì block đó sẽ tự động quay theo phương tiếp tuyến với đường cong tại điểm đó.
Nếu có thể : nâng cao lên : hỏi xem quay block đó về bên trái hay bên phải của đường cong

Thank các a rất nhiều – vì hiện giờ e phải copy rất nhiều cái như vậy và quay từng cái theo phương tiếp tuyến . Hoặc có cách nào khác ko cần lisp xin các a chỉ dạy ạ.
  • 0

#1451 phamthanhbinh

phamthanhbinh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 6009 Bài viết
Điểm đánh giá: 3113 (tuyệt vời)

Đã gửi 27 July 2010 - 03:19 PM

Xin lỗi e spam chút xíu :
Các anh ơi … có ai xem giúp e cái lisp e xin ở trên với ạ.

Với thêm nếu cái đó chưa thể viết ngay được các a cho e xin cái lisp như vầy :
- Input : có đường cong bất kì và 1 block
- Các a giúp e viết cái lisp nào mà sau khi e copy cái block đó đến các điểm trên đường cong thì block đó sẽ tự động quay theo phương tiếp tuyến với đường cong tại điểm đó.
Nếu có thể : nâng cao lên : hỏi xem quay block đó về bên trái hay bên phải của đường cong

Thank các a rất nhiều – vì hiện giờ e phải copy rất nhiều cái như vậy và quay từng cái theo phương tiếp tuyến . Hoặc có cách nào khác ko cần lisp xin các a chỉ dạy ạ.

Chào bạn 843824,
Cái vụ lisp copy, move , rotate đối tượng này trên diễn đàn có hà rầm lisp rồi bạn ạ, bạn chịu khó tìm kiếm và đọc một chút có thể sẽ có được cái mà bạn cần. Bằng không nếu như bạn có thể thì hãy cải tạo chúng theo hướng bạn cần, nếu có khó khăn trong việc này thì hãy post lên cái chỗ khó ấy mọi người sẽ góp ý. Còn nếu bạn muốn viết lisp cho riêng yêu cầu của bạn thì phải có bản vẽ cụ thể thể hiện tình trạng trước và sau khi dùng lisp, khi đó may ra mới có người có thể giúp bạn được. Nói khơi khơi kiểu này e rằng bạn phải chờ đến Tết Công gô vì chả ai hiểu bạn cần thế nào. Hì hục làm xong bạn lại bảo chả phải cái ấy thì ....... hoặc giả bạn lại đẻ ra thêm vài cái muốn nữa thì ......
  • 1
Chúc các quý Anh trên diễn đàn luôn khỏe, đẻ thêm được nhiều thứ để mót.

#1452 Phiphi-

Phiphi-

    biết lệnh minsert

  • Members
  • PipPipPipPipPipPip
  • 434 Bài viết
Điểm đánh giá: 175 (tàm tạm)

Đã gửi 27 July 2010 - 05:13 PM

Thank you.
  • 0

#1453 tdkhoa

tdkhoa

    Chưa sử dụng CAD

  • Members
  • Pip
  • 3 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 28 July 2010 - 04:33 PM

Nhờ các bạn viết dùm mình lip đưa các toạ độ GPS lên bản đồ được không ạ. Mình mới tập làm quen với CAD nên không biết gì, thấy mấy anh bạn làm về bản đồ có lip đó nhưng xin họ không cho.
  • 0

#1454 romeo1982

romeo1982

    biết lệnh mirror

  • Members
  • PipPipPip
  • 152 Bài viết
Điểm đánh giá: 19 (tàm tạm)

Đã gửi 29 July 2010 - 10:42 AM

Nhờ bác nào sửa dùm cái líp này giúp mình với:

(defun c:tdt()
(setvar "cmdecho" 0)
(setq lacol (getvar "CEColor"))
(setq ladin (getvar "dimzin"))
(setq laos (getvar "osmode"))
(if (not tl) (setq tl 1))
(if (not h) (setq h 1))
(setq tl1 (getreal (strcat "\nty le ban ve < 1/" (rtos tl 2 0) " >: 1/"))
caot1 (getreal (strcat "\nCao text < " (rtos h 2 0) " >: ")))
(if tl1 (setq tl tl1))
(if caot1 (setq h caot1))

(setq k 0
tdt 0)
(setq ss (ssadd))

(setvar "dimzin" 0)
(setvar "OSMODE" 0)
(setq PT (getpoint "\nChon diem xuat bang thong ke dien tich (mep trai):"))
(setq P1 (list (+ (car PT)(* 6 h)) (cadr PT))
P2 (list (+ (car PT)(* 22 h)) (cadr PT))
P3 (list (car PT) (- (cadr PT)(* 3 h)))
P4 (list (car P1) (cadr P3))
P5 (list (car P2) (cadr P3))
P6 (list (+ (car PT)(* 11 h)) (+ (cadr PT)(* 2 h)))
P7 (list (+ (car PT)(* 3 h)) (- (cadr PT)(* 1.5 h)))
P8 (list (+ (car PT)(* 14 h)) (- (cadr PT)(* 1.5 h)))
);setq
(command "pline" PT P2 P5 P3 "C"
"pline" P1 P4 ""
"text" "m" P6 (* 1.2 h) 0 "%%UB¶ng thèng kª diÖn tÝch"
"text" "m" P7 h 0 "STT"
"text" "m" P8 h 0 "DiÖn tÝch (m2)"
);command

(setq pt1 (getpoint "\n Chon mien tinh dien tich : "))
(while (/= pt1 nil)
(setq k (+ 1 k))
(command "TEXT" "m" pt1 (* 3 h) 0 (rtos k 2 0))
(setq PT (list (car P3) (cadr P3))
P1 (list (+ (car PT)(* 6 h)) (cadr PT))
P2 (list (+ (car PT)(* 22 h)) (cadr PT))
P3 (list (car PT) (- (cadr PT)(* 3 h)))
P4 (list (car P1) (cadr P3))
P5 (list (car P2) (cadr P3))
P7 (list (+ (car PT)(* 3 h)) (- (cadr PT)(* 1.5 h)))
P8 (list (+ (car PT)(* 14 h)) (- (cadr PT)(* 1.5 h)))
P9 (list (car PT) (- (cadr P3)(* 3 h)))
P10 (list (car P1) (cadr P9))
P11 (list (car P2) (cadr P9))
P12 (list (car P7) (- (cadr P3)(* 1.5 h)))
P13 (list (car P8) (cadr P12))
);setq
(command "CECOLOR" 4 "-boundary" pt1 "" )
(setvar "CECOLOR" lacol)
(setq et (entlast))
(ssadd et ss)
(command "area" "e" "last")
(setq et (entlast))
(ssadd et ss)
(setq dtcon (* (getvar "AREA") tl tl))
(setq tdt (+ dtcon tdt))
(command "erase" ss "")

(command "pline" PT P2 P5 P3 "C"
"pline" P1 P4 ""
"text" "m" P7 h 0 (rtos k 2 0)
"text" "m" P8 h 0 (rtos dtcon 2 2))

(setq pt1 (getpoint "\n chon mien tinh dien tich tiep theo hoac enter de ket thuc lenh..."))
);while
(setq ss nil)
(setvar "DIMZIN" ladin)
(command "pline" P3 P9 P11 P5 "C"
"pline" P10 P4 ""
"text" "m" P12 h 0 "Tæng"
"text" "m" P13 h 0 (rtos tdt 2 2)
);command
(setvar "OSMODE" laos)
(setvar "cmdecho" 1)
)

Líp xài rất tốt nhưng mình muốn thệm 1 cột nữa ở giữa đặt là TÊN CT, sau khi pick xong tất cả text trong vùng pick sẽ được thể hiện trong cột này .Chú ý là tất cả text đều xài DT, nếu có 2 DT khác nhau trong cùng 1 vùng pick thì để 2 DT ngang nhau đừng nối lại nhé, vì công việc của mình phải thống kê hàng ngàn cái như vậy nên rất mong các cao thủ giúp đỡ, cám ơn
  • 0

#1455 phamthanhbinh

phamthanhbinh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 6009 Bài viết
Điểm đánh giá: 3113 (tuyệt vời)

Đã gửi 29 July 2010 - 02:17 PM

Nhờ bác nào sửa dùm cái líp này giúp mình với:
Líp xài rất tốt nhưng mình muốn thệm 1 cột nữa ở giữa đặt là TÊN CT, sau khi pick xong tất cả text trong vùng pick sẽ được thể hiện trong cột này .Chú ý là tất cả text đều xài DT, nếu có 2 DT khác nhau trong cùng 1 vùng pick thì để 2 DT ngang nhau đừng nối lại nhé, vì công việc của mình phải thống kê hàng ngàn cái như vậy nên rất mong các cao thủ giúp đỡ, cám ơn

Chào bạn romeo1982,
Việc bổ sung cột TEN CT vào trong đoạn lisp trên không khó nhưng mình chưa hiểu bạn sẽ dùng cột này làm gì??? Bạn chưa hề cho biết cái bạn sẽ ghi cái gì vào trong cột này khi bạn chọn một vùng cần lấy diện tích.
Việc bạn nói trong một vùng có hai diện tích nghĩa là sao, mình chưa hiểu vì theo như lisp bạn post thì khi bạn pick điểm vào một vùng kín nào đó lisp sẽ tự tạo ra một boundary duy nhất, và lấy diện tích của vùng được boundary này. Do vậy nó phải là duy nhất chứ sao lại có hai diện tích được???
Mong bạn trả lời rõ mới có thể giúp bạn được....
Tốt nhất bạn nên pót một bản vẽ thể hiện cái bạn đã có và cái bạn cần sẽ dễ hiểu hơn bạn ạ.
  • 1
Chúc các quý Anh trên diễn đàn luôn khỏe, đẻ thêm được nhiều thứ để mót.

#1456 romeo1982

romeo1982

    biết lệnh mirror

  • Members
  • PipPipPip
  • 152 Bài viết
Điểm đánh giá: 19 (tàm tạm)

Đã gửi 29 July 2010 - 03:32 PM

Chào bạn romeo1982,
Việc bổ sung cột TEN CT vào trong đoạn lisp trên không khó nhưng mình chưa hiểu bạn sẽ dùng cột này làm gì??? Bạn chưa hề cho biết cái bạn sẽ ghi cái gì vào trong cột này khi bạn chọn một vùng cần lấy diện tích.
Việc bạn nói trong một vùng có hai diện tích nghĩa là sao, mình chưa hiểu vì theo như lisp bạn post thì khi bạn pick điểm vào một vùng kín nào đó lisp sẽ tự tạo ra một boundary duy nhất, và lấy diện tích của vùng được boundary này. Do vậy nó phải là duy nhất chứ sao lại có hai diện tích được???
Mong bạn trả lời rõ mới có thể giúp bạn được....
Tốt nhất bạn nên pót một bản vẽ thể hiện cái bạn đã có và cái bạn cần sẽ dễ hiểu hơn bạn ạ.

Trước hết cám ơn bác đã quan tâm, mình xin lỗi vì đã đánh lộn làm bác ko hiểu, DT là DText đó bác ah, có nghĩa là trong vùng pick có thể có từ 2 text trở lên thì mình lấy luôn 2 text đó, còn text nằm nữa trong nữa ngoài vùng pick thì lấy luôn nha bác. Chúc bác luôn vui khỏe
  • 0

#1457 romeo1982

romeo1982

    biết lệnh mirror

  • Members
  • PipPipPip
  • 152 Bài viết
Điểm đánh giá: 19 (tàm tạm)

Đã gửi 29 July 2010 - 03:34 PM

Trước hết cám ơn bác đã quan tâm, mình xin lỗi vì đã đánh lộn làm bác ko hiểu, DT là DText đó bác ah, có nghĩa là trong vùng pick có thể có từ 2 text trở lên thì mình lấy luôn 2 text đó, còn text nằm nữa trong nữa ngoài vùng pick thì lấy luôn nha bác. Chúc bác luôn vui khỏe

Quên, cái cột mới làm sẽ ghi những cái text trong vùng pick
  • 0

#1458 843824

843824

    biết vẽ circle

  • Members
  • PipPip
  • 33 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 29 July 2010 - 07:22 PM

Dạ xin cảm ơn anh Phamthanhbinh …

http://www.mediafire...4o2x02oaluk91c4
Đây là file cad mà e nhờ các anh viết giúp lisp để xoay đối tượng theo phương tiếp tuyến của đường cong . các anh xem giúp nhé ( chỉ 33kb thôi )

Với các anh xem dùm em e cái lisp e xin là nhập cao độ z cho các đường polyline ở trang trước được không a . E có nói chi tiết về những yêu cầu của lisp này rồi.
  • 0

#1459 phamthanhbinh

phamthanhbinh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 6009 Bài viết
Điểm đánh giá: 3113 (tuyệt vời)

Đã gửi 30 July 2010 - 02:10 PM

Quên, cái cột mới làm sẽ ghi những cái text trong vùng pick

Hề hề hề,...
Vậy là vấn đề sẽ có chút phiền toái hơn do cái việc chọn các text trong vùng chọn. Nó rắc rối như sau:
1/- Bạn chỉ chọn các đối tượng là text hay cả các Mtext.
2/- Do vùng chọn không phải chỉ có một text nên việc sắp xếp trật tự các Text này như thế nào cho đúng ý bạn, giữa các Text sẽ là ký hiệu hay dấu hiệu gì???
3/- Do số lượng Text khác nhau nên độ rộng của cột sẽ chọn ra sao???
Bạn thử xem xét các vấn đề trên để có hướng giải quyết nhé.
  • 1
Chúc các quý Anh trên diễn đàn luôn khỏe, đẻ thêm được nhiều thứ để mót.

#1460 phamthanhbinh

phamthanhbinh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 6009 Bài viết
Điểm đánh giá: 3113 (tuyệt vời)

Đã gửi 30 July 2010 - 02:13 PM

Dạ xin cảm ơn anh Phamthanhbinh …

http://www.mediafire...4o2x02oaluk91c4
Đây là file cad mà e nhờ các anh viết giúp lisp để xoay đối tượng theo phương tiếp tuyến của đường cong . các anh xem giúp nhé ( chỉ 33kb thôi )

Với các anh xem dùm em e cái lisp e xin là nhập cao độ z cho các đường polyline ở trang trước được không a . E có nói chi tiết về những yêu cầu của lisp này rồi.

Hì hì hì,
Cad2004 của mình không mở được file bạn gửi. Thật tiếc ....
  • 0
Chúc các quý Anh trên diễn đàn luôn khỏe, đẻ thêm được nhiều thứ để mót.